// 折线图和柱状图原始配置和数据
const initLineBarJson = {
  config: {
    'title': {
      'text': '标题（模拟数据）',
      'left': 'center',
      'textStyle': {
        'color': '#a2a3e3',
        'fontSize': 20
      }
    },
    'tooltip': {
      'trigger': 'axis'
    },
    'grid': {
      'left': '10',
      'right': '20',
      'bottom': '20',
      'top': '40',
      'containLabel': true
    },
    'xAxis': {
      'name': '',
      'nameLocation': 'end',
      'axisLine': {
        'show': true,
        'lineStyle': {
          'color': '#a2a3e3'
        }
      },
      'data': [
        'DKN1',
        'DKN2',
        'DKN3',
        'DKN4',
        'DKN5'
      ]
    },
    'yAxis': [
      {
        'show': true,
        'type': 'value',
        'name': '%',
        'nameLocation': 'end',
        'min': null,
        'max': null,
        'splitNumber': 5,
        'axisLine': {
          'show': true,
          'lineStyle': {
            'color': '#a2a3e3'
          }
        },
        'axisTick': {
          'show': true
        },
        'axisLabel': {
          'show': true
        },
        'splitLine': {
          'lineStyle': {
            'color': '#282953'
          }
        }
      }
    ],
    'legend': {
      'show': false,
      'orient': 'horizontal',
      'bottom': '0',
      'textStyle': {
        'fontSize': 12
      },
      'data': [
        '计划数',
        '完成数'
      ]
    },
    'series': [
      {
        'name': '计划数',
        'type': 'bar',
        'yAxisIndex': 0,
        'barWidth': '12',
        'stack': '这个值相同的话 就会叠加',
        'data': [],
        'itemStyle': {
          'color': {
            'x': 0,
            'y': 0,
            'x2': 0,
            'y2': 1,
            'type': 'linear',
            'global': false,
            'colorStops': [
              {
                'offset': 0,
                'color': '#436EEE'
              },
              {
                'offset': 1,
                'color': '#8B2252'
              }
            ]
          },
          'barBorderRadius': [
            10,
            10,
            0,
            0
          ],
          'hsColor': [
            '#4fcee4',
            '#ab5ee2'
          ]
        },
        'label': {
          'show': true,
          'position': 'top',
          'color': '#8888b0',
          'fontSize': 12
        },
        'xData': []
      },
      {
        'name': '完成数',
        'type': 'bar',
        'yAxisIndex': 0,
        'barWidth': '12',
        'data': [],
        'itemStyle': {
          'color': {
            'x': 0,
            'y': 0,
            'x2': 0,
            'y2': 1,
            'type': 'linear',
            'global': false,
            'colorStops': [
              {
                'offset': 0,
                'color': '#436EEE'
              },
              {
                'offset': 1,
                'color': '#8B2252'
              }
            ]
          },
          'barBorderRadius': [
            10,
            10,
            0,
            0
          ],
          'hsColor': [
            '#4fcee4',
            '#ab5ee2'
          ]
        },
        'label': {
          'show': true,
          'position': 'top',
          'color': '#8888b0',
          'fontSize': 12
        },
        'xData': []
      },
      {
        'name': 'G04',
        'type': 'bar',
        'yAxisIndex': 0,
        'barWidth': '12',
        'stack': '这个值相同的话 就会叠加',
        'data': [],
        'itemStyle': {
          'color': {
            'x': 0,
            'y': 0,
            'x2': 0,
            'y2': 1,
            'type': 'linear',
            'global': false,
            'colorStops': [
              {
                'offset': 0,
                'color': '#436EEE'
              },
              {
                'offset': 1,
                'color': '#8B2252'
              }
            ]
          },
          'barBorderRadius': [
            10,
            10,
            0,
            0
          ],
          'hsColor': [
            '#4fcee4',
            '#ab5ee2'
          ]
        },
        'label': {
          'show': true,
          'position': 'top',
          'color': '#8888b0',
          'fontSize': 12
        },
        'xData': []
      }
    ]
  },
  sourceData: [
    {
      'sSeries': '计划数',
      'sName': '五车间',
      'dValue': '15',
      'sShowValue': '15'
    },
    {
      'sSeries': '计划数',
      'sName': '六车间',
      'dValue': '28',
      'sShowValue': '28'
    },
    {
      'sSeries': '计划数',
      'sName': '七车间',
      'dValue': '31',
      'sShowValue': '31'
    },
    {
      'sSeries': '计划数',
      'sName': '八车间',
      'dValue': '45',
      'sShowValue': '45'
    },
    {
      'sSeries': '计划数',
      'sName': '九车间',
      'dValue': '57',
      'sShowValue': '57'
    },
    {
      'sSeries': '计划数',
      'sName': '十一车间',
      'dValue': '98',
      'sShowValue': '98'
    },
    {
      'sSeries': '完成数',
      'sName': '五车间',
      'dValue': '45',
      'sShowValue': '45'
    },
    {
      'sSeries': '完成数',
      'sName': '六车间',
      'dValue': '48',
      'sShowValue': '48'
    },
    {
      'sSeries': '完成数',
      'sName': '七车间',
      'dValue': '41',
      'sShowValue': '41'
    },
    {
      'sSeries': '完成数',
      'sName': '八车间',
      'dValue': '60',
      'sShowValue': '60'
    },
    {
      'sSeries': '完成数',
      'sName': '九车间',
      'dValue': '39',
      'sShowValue': '39'
    },
    {
      'sSeries': '完成数',
      'sName': '十一车间',
      'dValue': '39',
      'sShowValue': '39'
    }
  ]
}
// 饼图
const initPieJson = {
  config: {
    tooltip: {
      trigger: 'item',
      formatter: '{a} <br/>{b}: {c} ({d}%)'
    },
    legend: {
      orient: 'vertical',
      x: 'left',
      data: ['测试1', '测试2']
    },
    color: ['#F5D423', '#47FE75', '#47FDFE', '#325AF0', '#8266F5', '#C566F5', '#F566B5', '#F56666', '#F58566', '#F5A623'],
    calculable: true,
    graphic: [
      { // 设置饼状图内部文字
        type: 'text',
        left: 'center', // 设置偏移量
        top: 180,
        z: 2
      }
    ],
    series: [{
      name: '访问来源',
      type: 'pie',
      radius: ['45%', '70%'],
      itemStyle: {
        normal: {
          label: {
            show: true,
            position: 'outer',
            formatter: params => {
              return params.data.name
            }
          },
          labelLine: {
            show: false,
            length: 2
          }
        }
      },
      data: []
    }]
  },
  sourceData: [
    {
      name: '测试1',
      sName: '上衣',
      dValue: 30,
      msg: '测试1',
      sSeries: '访问来源',
      sLegendData: ''
    },
    {
      name: '测试2',
      sName: '裤子2',
      dValue: 25,
      msg: '测试2',
      sSeries: '访问来源',
      sLegendData: ''
    }]
}
// 雷达图
const initRadarJson = {
  config: {
    grid: {
      left: '20',
      right: '10',
      bottom: '2',
      top: '20',
      containLabel: true
    },
    title: {
      text: '面料（米）',
      bottom: '10px',
      left: 'center',
      textStyle: {
        fontSize: 20,
        color: '#A48463',
        fontFamily: 'myFont',
        fontWeight: 400
      }
    },
    tooltip: {
      trigger: 'axis'
    },
    radar: [{
      triggerEvent: true,
      shape: 'circle',
      center: ['50%', '50%'],
      radius: '55%',
      splitNumber: 4,
      nameGap: 35,
      name: {
        textStyle: {
          fontFamily: 'myFont',
          color: '#A48463',
          fontSize: '20'
        }
      },
      label: { // 坐标轴文本标签，详见axis.axisLabel
        show: true,
        textStyle: {
          color: '#FFC774' // 坐标轴刻度文字的样式
        }
      },
      splitArea: {
        show: false,
        areaStyle: {
          color: 'rgba(167,134,99,0.9)' // 图表背景网格的颜色
        }
      },
      splitLine: {
        show: true,
        lineStyle: {
          width: 1,
          color: '#A48463' // 图表背景网格线的颜色
        }
      },
      indicator: [{
        text: '来料',
        max: 10000
      },
      {
        text: '裁剪入库',
        max: 10000
      },
      {
        text: '裁剪下线',
        max: 10000
      },
      {
        text: '已裁',
        max: 10000
      },
      {
        text: '已领',
        max: 10000
      }
      ]
    }],
    calculable: true,
    series: [{
      name: '雷达图',
      type: 'radar',
      data: [],
      itemStyle: {
        normal: {
          lineStyle: {
            width: 1,
            color: '#FFC774' // 图表中各个图区域的边框线颜色
          },
          areaStyle: {
            type: 'default',
            color: '#6495ED',
            opacity: 0.4
          }
        }
      },
      label: {
        normal: {
          show: true,
          position: 'outer',
          textStyle: {
            color: '#6495ED',
            fontSize: 18
          }
        }
      }
    }]
  },
  sourceData: [{
    sSeries: '雷达图',
    dValue: [10000, 4000, 3000, 3100, 4000]
  }]
}
const mockData = {
  hsLineBar: initLineBarJson,
  hsPie: initPieJson,
  hsRadar: initRadarJson
}
export default mockData
